/**
 * This is the main config object that has pulled together all the sub configs.
 * COmponent level config goes here
 */
import dataList from './dataList';
import views from './views';
import hooks from './hooks';
import graphql from './graphql';

import appUtils from '../../../appUtils';

export default {
    id : 'main',//Must be unique if more than one list is displayed on a page
    selector : '',//not used
    defaultView : 'catalog',
    writeQueryStringToURL : true,
    runQueryStringURLOnRender : true,
    showFilters : true,
    filtersLabel : '',
    pinPagination : false,// This pins pagination to the bottom of the container.
    notify : (message,type,position)=>{appUtils.message(message,type);},//Swap out with the app's notification system to send notification
    header: {
        title:''
    },
    footer:{

    },
    dataList,
    views,
    hooks,
    graphql,
    googleAnalyticsUAId:false
}